#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main(){
	ios::sync_with_stdio(false);
	long long brojac = 0;
	long long n,m;
	cin >> n >> m;
	brojac = 2 * n + 2 * m - 4;
	long long n1 = n - 2; // broj redova sa neodredjenim strazarima
	long long m1 = m - 2; // broj kolona sa neodredjenim strazarima
	if (n%2==0 && m%2==0){
		brojac += (n1 / 2) * m1;
		cout << brojac;
	}
	else if (n%2!=0 && m%2==0){
		brojac += n1 * (m1 / 2);
		cout << brojac;	
	}
	else if (n%2==0 && m%2!=0){
		brojac += (n1 / 2) * m1;
		cout << brojac;
	}
	else if (n%2!=0 && m%2!=0){
		brojac += n1 * ((m1 - 1) / 2) + ((n1 - 1) / 2);
		cout << brojac;
	}
    return 0;
}